Bug 310705 - Choosing to sort by file type enables sorting by name at first attempt
Summary: Choosing to sort by file type enables sorting by name at first attempt
Status: RESOLVED FIXED
Alias: None
Product: dolphin
Classification: Unclassified
Component: view-engine: general (show other bugs)
Version: 2.1
Platform: Gentoo Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Dolphin Bug Assignee
URL:
Keywords: reproducible
Depends on:
Blocks:
 
Reported: 2012-11-26 12:03 UTC by Alexander Kandaurov
Modified: 2013-06-18 15:42 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.10.5


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Kandaurov 2012-11-26 12:03:56 UTC
When entering a folder that isn't initially sorted by file type and switching to this sorting option, the folder becomes sorted by name. You have then to switch to sorting by something else and after that switch back to sorting by type.

Reproducible: Always
Comment 1 Frank Reininghaus 2013-03-17 10:37:45 UTC
Thanks, I can confirm this problem.
Comment 2 Frank Reininghaus 2013-06-18 15:42:22 UTC
Git commit 735c046ddac45f729e52dda38f7152b62c304bb3 by Frank Reininghaus.
Committed on 18/06/2013 at 17:39.
Pushed by freininghaus into branch 'KDE/4.10'.

Ensure that the "Sort by Type" setting is respected

Before this commit, switching from, e.g., "Sort by Name" to "Sort by
Type" sometimes had no effect until the view was refreshed. The problem
was that the re-sorting was triggered before the type information was
actually added to the model.
Related: bug 312014
FIXED-IN: 4.10.5
REVIEW: 111004

M  +3    -3    dolphin/src/kitemviews/kfileitemmodel.cpp
M  +42   -1    dolphin/src/tests/kfileitemmodeltest.cpp

http://commits.kde.org/kde-baseapps/735c046ddac45f729e52dda38f7152b62c304bb3